#
# tosvcd shutdown hook script
# ---------------------------
#
# Tobias Grimm <tg@e-tobi.net>
# Martin Dummer <md11@epost.de>
#
# This script checks if tosvcd is still doing anything, and if so
# it advices VDR to try the shutdown again in 5 minutes
#

pgrep tosvcd >/dev/null

if [ $? -eq 0 ] ; then
  # tosvcd is still running, so we should defer 
  # the shutdown for 5 minutes
  TRY_AGAIN=5
fi
